﻿using System;
using System.IO;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Text.RegularExpressions;

//Simple page that lets the user display the images taken by either snapshot or motion detection.
namespace cCam
{
    public partial class Alert : Form
    {
        public Alert()
        {
            InitializeComponent();

            //When the page is first opened the code will go into a set directory and load a dropdown box with
            //all the .bmp files in the directory.
            string dirPath = @"C:\TEST";

            List<string> dirs = new List<string>(Directory.EnumerateDirectories(dirPath));

            foreach (var dir in dirs)
            {
                Console.WriteLine("{0}", dir.Substring(dir.LastIndexOf("\\") + 1));
            }
            Console.WriteLine("{0} directories found.", dirs.Count);

            string[] WriteLine = System.IO.Directory.GetFiles(dirPath, "*.bmp");
            this.pic_dropdown.Items.AddRange(WriteLine);


        }

        //If the user press the show pic button a new form will be opened with the image they 
        //selected from the dropdown box in it. 
        private void show_pic_btn_Click(object sender, EventArgs e)
        {
            String s = pic_dropdown.Text;
            Form form = new Form();
            form.Size = new Size(1000, 600);
            form.Show();

            PictureBox pb = new PictureBox();
            pb.ImageLocation = s;
            pb.Size = form.Size;
            pb.SizeMode = PictureBoxSizeMode.Zoom;

            form.Controls.Add(pb);
        }
    }
}
